# Discord API Coverage

## [Audit Log](https://discord.com/developers/docs/resources/audit-log)

- [ ] Get Guild Audit Log

## [Channel](https://discord.com/developers/docs/resources/channel)

- [x] Get Channel
- [x] Modify Channel
- [x] Delete/Close Channel
- [x] Get Channel Messages
- [x] Get Channel Message
- [x] Create Message
- [x] Crosspost Message
- [x] Create Reaction
- [x] Delete Own Reaction
- [x] Get Reactions
- [x] Delete All Reactions
- [x] Delete All Reactions for Emoji
- [x] Edit Message
- [x] Delete Message
- [ ] Bulk Delete Messages
- [x] Edit Channel Permissions
- [ ] Get Channel Invites
- [ ] Create Channel Invite
- [x] Delete Channel Permission
- [ ] Follow News Channel
- [x] Trigger Typing Indicator
- [x] Get Pinned Messages
- [x] Pin Message
- [x] Unpin Message
- [ ] ~~Group DM Add Recipient~~
- [ ] ~~Group DM Remove Recipient~~
- [ ] Start Thread with a Message
- [ ] Start Thread without a Message
- [ ] Join Thread
- [ ] Add Thread Member
- [ ] Leave Thread
- [ ] Remove Thread Member
- [ ] Get Thread Member
- [ ] List Thread Members
- [ ] List Active Threads
- [ ] List Public Archived Threads
- [ ] List Private Archived Threads
- [ ] List Joined Private Archived Threads


## [Emoji](https://discord.com/developers/docs/resources/emoji)

- [x] List Guild Emojis
- [x] Get Guild Emoji
- [x] Create Guild Emoji
- [x] Modify Guild Emoji
- [x] Delete Guild Emoji

## [Guild](https://discord.com/developers/docs/resources/guild)

- [ ] Create Guild
- [x] Get Guild
- [ ] Get Guild Preview
- [ ] Modify Guild
- [ ] Delete Guild
- [x] Get Guild Channels
- [x] Create Guild Channel
- [ ] Modify Guild Channel Positions
- [x] Modify Guild Channel
- [ ] List Active Threads
- [x] Get Guild Member
- [x] List Guild Members
- [x] Search Guild Members
- [ ] ~~Add Guild Member~~
- [x] Modify Guild Member
- [x] Modify Current Member
- [ ] ~~Modify Current User Nick~~
- [x] Add Guild Member Role
- [x] Remove Guild Member Role
- [x] Remove Guild Member
- [ ] Get Guild Bans
- [ ] Get Guild Ban
- [ ] Create Guild Ban
- [ ] Remove Guild Ban
- [x] Get Guild Roles
- [x] Create Guild Role
- [ ] Modify Guild Role Positions
- [x] Modify Guild Role
- [x] Delete Guild Role
- [ ] Get Guild Prune Count
- [ ] Begin Guild Prune
- [ ] Get Guild Voice Regions
- [ ] Get Guild Invites
- [ ] Get Guild Integrations
- [ ] Delete Guild Integration
- [ ] Get Guild Widget Settings
- [ ] Modify Guild Widget
- [ ] Get Guild Widget
- [ ] Get Guild Prune Count
- [ ] Get Guild Vanity URL
- [ ] Get Guild Widget Image
- [ ] Get Guild Welcome Screen
- [ ] Modify Guild Welcome Screen
- [ ] Modify Current User Voice State
- [ ] Modify User Voice State

## [Guild Scheduled Event](https://discord.com/developers/docs/resources/guild-scheduled-event)

- [ ] List Scheduled Events for Guild
- [ ] Create Guild Scheduled Event
- [ ] Get Guild Scheduled Event
- [ ] Modify Guild Scheduled Event
- [ ] Delete Guild Scheduled Event
- [ ] Get Guild Scheduled Users

## [Guild Template](https://discord.com/developers/docs/resources/guild-template)

- [ ] Get Guild Template
- [ ] Create Guild from Guild Template
- [ ] Get Guild Templates
- [ ] Create Guild Templates
- [ ] Sync Guild Template
- [ ] Modify Guild Template
- [ ] Delete Guild Template

## [Invite](https://discord.com/developers/docs/resources/invite)

- [ ] Get Invite
- [ ] Delete Invite

## [Stage Instance](https://discord.com/developers/docs/resources/stage-instance)

- [ ] Create Stage Instance
- [ ] Get Stage Instance
- [ ] Modify Stage Instance
- [ ] Delete Stage Instance

## [Sticker](https://discord.com/developers/docs/resources/sticker)

- [ ] Get Sticker
- [ ] List Nitro Sticker Packs
- [ ] List Guild Stickers
- [ ] Get Guild Sticker
- [ ] Create Guild Sticker
- [ ] Modify Guild Sticker
- [ ] Delete Guild Sticker

## [User](https://discord.com/developers/docs/resources/user)

- [x] Get Current User
- [x] Get User
- [x] Modify Current User
- [ ] Get Current User Guilds
- [x] Leave Guild
- [x] Create DM
- [ ] ~~Create Group DM~~
- [ ] ~~Get User Connections~~

## [Voice](https://discord.com/developers/docs/resources/voice)

- [ ] List Voice Regions

## [Webhook](https://discord.com/developers/docs/resources/webhook)

- [ ] Create Webhook
- [ ] Get Channel Webhooks
- [ ] Get Guild Webhooks
- [ ] Get Webhook
- [ ] Get Webhook with Token
- [ ] Modify Webhook
- [ ] Modify Webhook with Token
- [ ] Delete Webhook
- [ ] Delete Webhook with Token
- [ ] Execute Webhook
- [ ] ~~Execute Slack-Compatible Webhook~~
- [ ] ~~Execute Github-Compatible Webhook~~
- [ ] Get Webhook Message
- [ ] Edit Webhook Message
- [ ] Delete Webhook Message

## [Gateway events](https://discord.com/developers/docs/topics/gateway#commands-and-events-gateway-events)
- [x] Hello
- [x] Ready
- [x] Resumed
- [x] Reconnect
- [x] Invalid Session
- [x] Channel Create
- [x] Channel Update
- [x] Channel Delete
- [x] Channel Pins Update
- [ ] Thread Create
- [ ] Thread Update
- [ ] Thread Delete
- [ ] Thread List Sync
- [ ] Thread Member Update
- [ ] Thread Members Update
- [x] Guild Create
- [x] Guild Update
- [x] Guild Delete
- [ ] Guild Ban Add
- [ ] Guild Ban Remove
- [x] Guild Emojis Update
- [ ] Guild Stickers Update
- [ ] Guild Integrations Update
- [x] Guild Member Add
- [x] Guild Member Remove
- [x] Guild Member Update
- [ ] Guild Members Chunk
- [x] Guild Role Create
- [x] Guild Role Update
- [x] Guild Role Delete
- [ ] Guild Scheduled Event Create
- [ ] Guild Scheduled Event Update
- [ ] Guild Scheduled Event Delete
- [ ] Guild Scheduled Event User Add
- [ ] Guild Scheduled Event User Remove
- [ ] Integration Create
- [ ] Integration Update
- [ ] Integration Delete
- [ ] Interaction Create
- [ ] Invite Create
- [ ] Invite Delete
- [x] Message Create
- [x] Message Update
- [x] Message Delete
- [x] Message Delete Bulk
- [x] Message Reaction Add
- [x] Message Reaction Remove
- [x] Message Reaction Remove All
- [x] Message Reaction Remove Emoji
- [ ] Presence Update
- [ ] Stage Instance Create
- [ ] Stage Instance Delete
- [ ] Stage Instance Update
- [x] Typing Start
- [ ] User Update
- [ ] Voice State Update
- [ ] Voice Server Update
- [ ] Webhooks Update
